varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;
varying mediump vec2 v_uvOffset;

uniform sampler2D u_texture;
//uniform sampler2D u_texture1;

/*
x = X direction offset
y = Y-direction offset
z = Alpha power (remove alpha < 1.0)
w = Drop shadow strength
*/
uniform vec4 Settings;

void main() {
	// Put uniforms into variables for better readabilty
	float alphaPower = Settings.z;
	float shadowColor = Settings.w;
	
	// Alphas for both textures
	float baseAlpha = texture2D(u_texture, v_texCoord).a;
	float dropShadowAlpha = texture2D(u_texture, v_uvOffset).a;

	// Remove all alphas that are less than 1.0 with alphaPower
	float mask = pow(baseAlpha, alphaPower);
	float shadow = mask - dropShadowAlpha * mask;
	
	// Compose final color
	vec3 finalColor = v_color.rgb  - (shadow * shadowColor);
	gl_FragColor = vec4(finalColor, mask);
}